/*------------------------------------*\
    
    Half & Half Image + Text Block Customizations - Global Styling

    The styles you add to this file will be applied to the 'Half & Half Image + Text' block. 
    If there is any reasons why you would need to style this separately,
    please create a block-specific stylesheet for it (don't forget to register that block-specific stylesheet in acf-start-blocks.php)

\*------------------------------------*/

.flex-row {
    display: flex;
    flex-wrap: wrap;
}

.half-and-half {
    position: relative;
    z-index: 2;
    padding: var(--section-margins) 0;
    align-items: center;
}

.half-and-half-image, 
.half-and-half-text {
    position: relative;
    width: 100%;
}

.half-and-half-image__right {
    margin-left: 90px;
    height: 182px;
}

.half-and-half-image__right img {
    border-radius: 20px 0 0 20px;
}

.half-and-half--double .has-image-two .half-and-half-image__right i {
    display: none;
}

.half-and-half-image__left {
    width: 180px;
    height: 144px;
    position: relative;
    margin-top: -106px;
}

.half-and-half-image__left img {
    border-radius: 0 20px 20px 0;
}

.half-and-half-image__left i {
    color: var(--color-primary);
    font-size: 32px;
    line-height: 1em;
    position: absolute;
    top: -13px;
    right: -13px;
}

.half-and-half-text {
    padding: 24px 22px 0;
}

.half-and-half--single .half-and-half-image {
    padding: 0 22px;
}

.half-and-half--single .half-and-half-image__right {
    margin-left: auto;
    margin-right: auto;
    position: relative;
}

.half-and-half--single .half-and-half-image i {
    color: var(--color-primary);
    font-size: 43px;
    line-height: 1em;
    position: absolute;
    top: -26px;
    right: -22px;
}

.bg-dark-blue.half-and-half--single .half-and-half-image i {
    color: var(--color-primary-med);
}

.half-and-half--single .half-and-half-image__right img {
    border-radius: 20px;
}

.half-and-half--double .half-and-half-image:not(.has-image-two) .half-and-half-image__right i {
    color: var(--color-primary);
    font-size: 43px;
    line-height: 1em;
    position: absolute;
    top: -26px;
    right: -22px;
}

.bg-dark-blue.half-and-half--double .half-and-half-image:not(.has-image-two) .half-and-half-image__right i {
    color: var(--color-primary-med);
}

.half-and-half--double .half-and-half-image:not(.has-image-two) .half-and-half-image__right {
    margin-left: auto;
    margin-right: auto;
    position: relative;
}

.half-and-half--double .half-and-half-image:not(.has-image-two) {
    padding: 0 22px;
}

.half-and-half--double .half-and-half-image:not(.has-image-two) .half-and-half-image__right img {
    border-radius: 20px;
}

/* .half-text-half-image-contained-bg-light-blue + .bg-light-blue,
.half-text-half-image-contained-bg-dark-blue + .bg-dark-blue,
.half-text-half-image-contained-bg-white + .bg-white,
.section-padding.bg-white + .half-text-half-image--contained .bg-white.image-text__bg,
.section-padding.bg-light-blue + .half-text-half-image--contained .bg-light-blue.image-text__bg,
.section-padding.bg-dark-blue + .half-text-half-image--contained .bg-dark-blue.image-text__bg {
    padding-top: 0;
} */

@media (min-width: 768px) {

    /* .half-text-icons.bg-white + .half-text-half-image--contained {
        padding-top: 0;
    }
    
    .half-text-half-image-contained-bg-light-blue + .bg-light-blue, 
    .half-text-half-image-contained-bg-dark-blue + .bg-dark-blue,
    .section-padding.bg-light-blue + .half-text-half-image-contained-bg-light-blue,
    .section-padding.bg-dark-blue + .half-text-half-image-contained-bg-dark-blue,
    .section-padding.bg-light-blue + .half-text-half-image--contained .bg-light-blue.image-text__bg,
    .section-padding.bg-dark-blue + .half-text-half-image--contained .bg-dark-blue.image-text__bg,
    
    .half-and-half--single.bg-light-blue + .half-text-half-image-contained-bg-light-blue,
    .half-and-half--single.bg-dark-blue + .half-text-half-image-contained-bg-dark-blue {
        padding-top: var(--section-margins);
    }

    .half-text-half-image--contained:not(.half-text-half-image-contained-bg-white):has( + .bg-dark-blue),
    .section-padding.bg-light-blue + .half-text-half-image-contained-bg-light-blue,
    .section-padding.bg-dark-blue + .half-text-half-image-contained-bg-dark-blue,
    .half-and-half--single.bg-light-blue + .half-text-half-image-contained-bg-light-blue,
    .half-and-half--single.bg-dark-blue + .half-text-half-image-contained-bg-dark-blue,
    .half-text-half-image-contained-bg-light-blue:has( +.section-padding.bg-light-blue),
    .half-text-half-image-contained-bg-dark-blue:has( +.section-padding.bg-dark-blue) {
        padding-bottom: var(--section-margins);
    } */

    .half-and-half-image {
        padding-left: 52px;
    }
        
    .half-and-half-image__right {
        margin-left: 235px;
        height: 302px;
    }

    .half-and-half--double .half-and-half-image:not(.has-image-two),
    .half-and-half--single .half-and-half-image {
        padding: 0 52px;
    }

    .half-and-half--single .half-and-half-image__right {
        margin-left: 75px;
        height: 342px;
    }

    .half-and-half--single .half-and-half-image__right {
        margin-left: auto;
        margin-right: auto;
        position: relative;
    }
    
    .half-and-half--double .half-and-half-image:not(.has-image-two) .half-and-half-image__right i,
    .half-and-half--single .half-and-half-image i {
        font-size: 65px;
        top: -39px;
        right: -30px;
    }
    
    .bg-dark-blue.half-and-half--single .half-and-half-image i {
        color: var(--color-blue-darkest);
    }

    .half-and-half-image__left {
        width: 318px;
        height: 274px;
        margin-top: -212px;
    }

    .half-and-half-image__left img {
        border-radius: 20px;
    }

    .half-and-half-image__left i {
        font-size: 65px;
        top: -39px;
        right: -32px;
    }

    .half-and-half-text {
        padding: 40px 52px 0;
    }

    .half-and-half-text .btn-group {
        margin-top: 30px;
    }
}

@media ( min-width: 1025px ) {
    .half-and-half-image__right {
        height: 312px;
    }
}
    
@media (min-width: 1200px) {
    
    .half-and-half-image {
        width: calc(50% + 90px);
    }

    .half-and-half-text {
        width: calc(50% - 90px);
    }

     .half-and-half-image {
        padding-left: 0;
    }
        
    .half-and-half-image__right {
        margin-left: 211px;
        height: 352px;
        height: 457px;
    }

    .half-and-half--single .half-and-half-image__right {
        height: 457px;
    }

    .image-block-left .half-and-half-image__right {
        margin-left: 0;
        width: calc(100% - 211px);
    }

    .half-and-half--double .half-and-half-image:not(.has-image-two) {
        padding: 0;
    }

    .half-and-half--double .half-and-half-image:not(.has-image-two) .half-and-half-image__right img {
        border-radius: 0 20px 20px 0;
    }

    .half-and-half--double .half-and-half-image:not(.has-image-two) .half-and-half-image__right i {
        display: none;
    }

    .half-and-half--double .half-and-half-image:not(.has-image-two) .half-and-half-image__right  {
        padding-right: 10rem;
        width: auto;
    }

    .image-block-left:not(.half-and-half--single) .half-and-half-image__right img {
       border-radius: 0 20px 20px 0;
    }

    .half-and-half-image__left {
        width: 306px;
        height: 264px;
        margin-top: -186px;
    }

    .image-block-left .half-and-half-image__left {
        margin-left: auto;
    }

    .image-block-left .half-and-half-image__left i {
        right: auto;
        left: -32px;
    }

    .half-and-half-text {
        padding: 0 63px;
    }

    .half-and-half-text__wrapper {
        max-width: 421px;
    }

    .half-and-half--single .half-and-half-text__wrapper {
        max-width: 577px;
    }

    .half-and-half--double .half-and-half-image:not(.has-image-two) + .half-and-half-text {
        padding-left: 0;
    }

    .half-and-half--double .half-and-half-image:not(.has-image-two) + .half-and-half-text .half-and-half-text__wrapper {
        max-width: 577px;
    }

    .image-block-right .half-and-half-text__wrapper {
        margin-left: auto;
    }

    .image-block-right .half-and-half-text {
        padding-right: 109px;
    }

    .image-block-left .half-and-half-text {
        padding-left: 109px;
    }

    .image-block-right.half-and-half--single .half-and-half-text {
        padding-right: 50px;
    }

    .image-block-left.half-and-half--single .half-and-half-image__right {
        width: calc(100% - 70px);
    }

    .image-block-left.half-and-half--single .half-and-half-text {
        padding-left: 0;
    }
}


@media (min-width: 1600px) {
    
    .half-and-half-image {
        width: calc(50% + 139px);
    }

    .half-and-half-text {
        width: calc(50% - 139px);
    }

     .half-and-half-image {
        padding-left: 0;
    }
        
    .half-and-half-image__right {
        margin-left: 308px;
        height: 496px;
    }

    .half-and-half-image__left {
        width: 425px;
        height: 366px;
        margin-top: -330px;
    }

    .image-block-left .half-and-half-image__right {
        margin-left: 0;
        width: calc(100% - 308px);
    }

    .half-and-half-image__left i {
        font-size: 78px;
        top: -47px;
        right: -40px;
    }

    .image-block-left .half-and-half-image__left i {
        right: auto;
        left: -40px;
    }

    .image-block-right .half-and-half-text {
        padding-right: 184px;
    }

    .image-block-left .half-and-half-text {
        padding-left: 184px;
    }

}

@media ( min-width: 2000px ) {
    .half-and-half--double__row {
        max-width: var(--fluid-container-max-width);
        padding-right: var(--bs-gutter-x, 64px);
        padding-left: var(--bs-gutter-x, 64px);
        width: 100%;
        margin: 0 auto;
    }

    .half-and-half--double .half-and-half-image:not(.has-image-two) .half-and-half-image__right img {
        border-radius: 20px;
    }

    .half-and-half--double .half-and-half-image.has-image-two .half-and-half-image__right img {
        border-radius: 20px;
    }
}



/* Home Page */
.home-half-image-text {
    position: relative;
    margin: 55px 0;
}

.home-half-image-text__text {
    margin-bottom: 20px;
}

.home-half-image-text__text .btn-group {
    margin-right: -12px;
}

.home-half-image-text__image {
    position: relative;
    padding-left: 93px;
    height: 196px;
    z-index: 1;
}

.home-half-image-text__image img {
    border-radius: 20px 0 0 20px;
}

.map-pattern {
    border-radius: 0 !important;
    width: 165px;
    position: absolute;
    left: 0;
    bottom: -38px;
    z-index: -1;

    svg {
        width: 100%;
        height: auto;
    }
}

@media (min-width: 768px) {

    .home-half-image-text {
        margin: 75px 0;
    }

    .home-half-image-text__text {
        margin-bottom: 28px;
    }

    .home-half-image-text__text .btn-group {
        margin-right: -0;
    }

    .home-half-image-text__image {
        padding-left: 164px;
        height: 419px;
    }

    .map-pattern {
        width: 551px;
        left: -132px;
        bottom: -184px;
    }
}

@media (min-width: 1200px) {

    .home-half-image-text {
        margin: 100px 0;
    }

    .home-half-image-text__text {
        margin-bottom: 0;
        max-width: 493px;
        padding: 12px 0;
    }

    .home-half-image-text__image {
        position: absolute;
        padding-left: 0;
        height: 100%;
        width: calc(50% - 120px);
        right: 0;
        top: 0;
    }

    .map-pattern {
        width: 456px;
        left: -158px;
        bottom: -119px;
    }

    .home-half-image-text--left .home-half-image-text__image {
        left: 0;
        right: auto;
    }

    .home-half-image-text--left .home-half-image-text__text {
        margin-left: auto;
    }

    .home-half-image-text--left .map-pattern {
        left: auto;
        right: -158px;
    }

}

@media (min-width: 1366px) {

    .map-pattern {
        left: -228px;
    }

    .home-half-image-text--left .map-pattern {
        right: -228px;
    }
}

@media (min-width: 1600px) {

    .home-half-image-text__text {
        max-width: 572px;
        padding: 65px 0;
    }


    .home-half-image-text__image {
        width: calc(50% - 169px);
    }

    .map-pattern {
        width: 630px;
        left: -265px;
        bottom: -175px;
    }

    .home-half-image-text--left .map-pattern {
        right: -330px;
    }
}

@media ( min-width: 2000px ) {
    .half-and-half-image__right {
        height: 686px;
    }

    .map-pattern {
        left: -295px;
    }
}